### Function

# GObject ObjectSetPropertyFunc

#### Declaration

    void
    (* GObjectSetPropertyFunc) (
      GObject* object,
      guint property_id,
      const GValue* value,
      GParamSpec* pspec
    )

#### Description [src]

The type of the `set_property` function of `GObjectClass`.

#### Parameters

`object`

  Type: `GObject`

  A `GObject`.

  The data is owned by the caller of the function.

`property_id`

  Type: `guint`

  The numeric id under which the property was registered with g_object_class_install_property().

`value`

  Type: `GValue`

  The new value for the property.

  The data is owned by the caller of the function.

`pspec`

  Type: `GParamSpec`

  The `GParamSpec` describing the property.

  The data is owned by the caller of the function.